<html>
<head>
<title>VStar PhotoAlbum - Test</title>
</head>
<body>
<h1>VStar PhotoAlbum - Test</h1>
<?php
  if (true) {
    function message($color,$text) {
      print "<p><font color=\"".$color."\">".$text."</font></p>";
      return true;
    }
    message("black","Checking extensions...");
    if (array_search('gd',get_loaded_extensions())!==false || array_search('magickwand',get_loaded_extensions())!==false) {
      $ready=false;
      if (array_search('gd',get_loaded_extensions())!==false && function_exists('imagejpeg')) {
        message("green","This server has PHP language with GD module support for JPEG, GIF, BMP and PNG files.");
      } else {
        message("red","Sorry, this server doesn't have PHP GD extension installed, therefore GIF, BMP and PNG files are not supported.");
      }
      if (array_search('magickwand',get_loaded_extensions())!==false && function_exists('NewMagickWand')) {
        message("green","This server has ImageMagick support for JPEG and TIFF files installed.");
      } else {
        message("red","Sorry, this server doesn't have <a href=\"http://www.magickwand.org/download/php/\" target=_blank>MagickWand</a> PHP extension, therefore TIFF files are not supported.");
      }
      if (array_search('exif',get_loaded_extensions())!==false && function_exists('exif_read_data')) {
        message("green","This server has EXIF PHP extension installed.");
      } else {
        message("red","Sorry, this server doesn't have <a href=\"http://php.net/exif\" target=_blank>EXIF PHP extension</a> installed, therefore EXIF information from JPEG and TIFF files will not be available.");
      }
      message("green","It's ready for VStar PhotoAlbum.");
    } else {
      message("red","Sorry, it's not ready for VStar PhotoAlbum. Please, install either GD library or MagickWand PHP extension");
    }
    message("black","Checking permissions...");
    include "settings.php";
    if (is_writable($picture_folder)) {
      message("purple","Your ".$picture_folder." folder is writable for webserver. It's not really great from security point of view, but will allow you to add or change picture descriptions right from the web page (all subfolders of ".$picture_folder." folder have to inherit write permission).");
      message("purple","In order to allow adding descriptions you will either need to insert your IP address into \$allowed_ip variable or set up user authentication and add your username into \$allowed_users variable of settings.php file. Your current IP address is ".$_SERVER["REMOTE_ADDR"].".".(isset($_SERVER["PHP_AUTH_USER"])?" Your currently authenticated username is ".$_SERVER["PHP_AUTH_USER"].".":""));
    } else {
      message("green","Your ".$picture_folder." folder is not writable for web server, which is good from security point of view, but you will not be able to add or change picture descriptions from the web page.");
    }
    if (is_writable($thumbnail_folder)) {
      message("green","Your ".$thumbnail_folder." folder is writable for web server, which is good.");
    } else {
      message("red","Your ".$thumbnail_folder." folder is not writable for web server, you have to fix permissions.");
    }
    if (is_writable($temp_folder)) {
      message("green","Your ".$temp_folder." folder is writable for web server, which is good.");
    } else {
      message("red","Your ".$temp_folder." folder is not writable for web server, you have to fix permissions.");
    }
  } else {
?>
<p><font color="red">Sorry, it seems, this server doesn't have PHP language support, you have to install it first.</font></p>
<?
  }
?>
</body>
</html>